Subject: Re: What's cooking in git.git (Jul 2021, #05; Wed, 21)

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jul 2021 15:37:35 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> * ab/refs-files-cleanup (2021-07-20) 12 commits
>>  - refs/files: remove unused "errno != ENOTDIR" condition
>>  - refs/files: remove unused "errno == EISDIR" code
>>  - refs/files: remove unused "oid" in lock_ref_oid_basic()
>>  - reflog expire: don't lock reflogs using previously seen OID
>>  - refs/files: add a comment about refs_reflog_exists() call
>>  - refs: make repo_dwim_log() accept a NULL oid
>>  - refs API: pass the "lock OID" to reflog "prepare"
>>  - refs/debug: re-indent argument list for "prepare"
>>  - refs/files: remove unused "skip" in lock_raw_ref() too
>>  - refs/files: remove unused "extras/skip" in lock_ref_oid_basic()
>>  - refs/files: remove unused REF_DELETING in lock_ref_oid_basic()
>>  - refs/packet: add missing BUG() invocations to reflog callbacks
>>  (this branch is used by hn/refs-errno-cleanup.)
>>
>>  Patches are mostly good, but needs typofixes etc.
>>
>>  Will merge to 'next'.
>
> Yay, thanks!

Yikes, I shouldn't have said Will merge when I clearly said "needs
typofixes".  If you are employing the strategy to wear me out and
mistakenly merge topics prematurely, it is succeeding X-<.

>> * ab/attribute-format (2021-07-13) 5 commits
>> [...]
>> * ab/imap-send-read-everything-simplify (2021-07-07) 1 commit
>> [...]
>> * ab/pkt-line-tests (2021-07-19) 1 commit
>
> Thanks!

Thanks for all of these.

>> * ab/bundle-doc (2021-07-20) 3 commits
>>  - bundle doc: elaborate on rev<->ref restriction
>>  - bundle doc: elaborate on object prerequisites
>>  - bundle doc: rewrite the "DESCRIPTION" section
>>
>>  Doc update.
>>
>>  Expecting a reroll.
>>  at least for the second patch.

Sorry, I think we have a reroll that updates the second one and that
is what we list here.  IOW the comment is stale.

> My reading-between-the-lines of
> https://lore.kernel.org/git/[email-masked]/ and
> https://lore.kernel.org/git/[email-masked]/ is that you'd be
> happy toh have this be merged down in its current form, no?

As I commented, the tip one's mention of show-ref is rather iffy.
I thought you'd be rephrasing it further in response to Philip's
"what about list-heads?" (I am not sure if it is wise to stress on
list-heads, which was a debugging aid, when ls-remote is available).

Also, the second one talks about "object prerequisites" (I think
calling them "prerequisite objects" would be more natural, though)
and the third one uses "basis" (I take that the "bases" in "the
given bases" is used as the plural for the word), but it is not
clear to readers that these mean the same thing.  If we are touching
the doc, we may want to make sure the end-result as a whole gives a
coherent narrative.

>> * ab/pack-stdin-packs-fix (2021-07-09) 2 commits
>>  - pack-objects: fix segfault in --stdin-packs option
>>  - pack-objects tests: cover blindspots in stdin handling
>>
>>  Input validation of "git pack-objects --stdin-packs" has been
>>  corrected.
>>
>>  Ack?
>>  cf. <[email-masked]>
>
> Have re-rolled & addressed that, I think
> https://lore.kernel.org/git/[email-masked]/ can be read as
> "sure, let's take Ævar's v2 as-is", but let's have Taylor Ack that :)

OK.

>> * ab/make-tags-cleanup (2021-06-29) 5 commits
>>  - Makefile: normalize clobbering & xargs for tags targets
>>  - Makefile: don't use "FORCE" for tags targets
>>  - Makefile: fix "cscope" target to refer to cscope.out
>>  - Makefile: add QUIET_GEN to "cscope" target
>>  - Makefile: move ".PHONY: cscope" near its target
>>
>>  Build clean-up for "make tags" and friends.
>>
>>  Expecting a reroll.
>>  Hopefully with a final reroll it would become good enough shape for 'next'?
>>  cf. <[email-masked]>
>>  cf. <[email-masked]>
>
> Re-rolled since & addressed those, hopefully ready for "next" now:
> https://lore.kernel.org/git/[email-masked]/

Thanks.